[![AtlasKit component registry](https://img.shields.io/badge/AtlasKit-components-FF5230.svg)](http://atlaskit.atlassian.com)
[![Commitizen friendly](https://img.shields.io/badge/commitizen-friendly-brightgreen.svg)](http://Commitizen.github.io/cz-cli/)
[![semantic-release](https://img.shields.io/badge/GitHub-semantic_release-ffab00.svg)](https://github.com/semantic-release/semantic-release)
[![Report an issue](https://img.shields.io/badge/Report-an_issue-6554C0.svg)](http://go.atlassian.com/atlaskit-issues)

# Lozenge

Use lozenges to highlight an item's status for quick recognition. Lozenges can be emphasised and can use color to help convey meanings that users can learn and recognize across our products. Use subtle lozenges by default and in instances where they may dominate the screen, such as in long tables.

![Example lozenge](https://i.imgur.com/SMl58ZZ.png)

![Example lozenge](https://i.imgur.com/jbjMaOq.png)


## Try it out

Interact with a [live demo of the @atlaskit/lozenge component with code examples](https://aui-cdn.atlassian.com/atlaskit/stories/@atlaskit/lozenge/3.0.1/).

## Installation

```sh
npm install @atlaskit/lozenge
# or
yarn add @atlaskit/lozenge
```

## Using the component

Import the component in your React app as follows:

```js
import Lozenge from '@atlaskit/lozenge';
ReactDOM.render(<Lozenge />, container);
```

## Lozenge
**Kind**: global class
* Properties

    *  [lozenge.isBold](#Lozenge+isBold) : <code>boolean</code>
    *  [lozenge.appearance](#Lozenge+appearance) : <code>string</code>
    *  [lozenge.children](#Lozenge+children) : <code>node</code>

<a name="new_Lozenge_new"></a>

### new Lozenge()
Create instances of the component programmatically, or using markup.

**JS Example**
```js
import Lozenge from 'ak-lozenge';
const component = new Lozenge();
```
<a name="Lozenge+isBold"></a>

### lozenge.isBold : <code>boolean</code>
Toggles the bolder appearance.

**Kind**: instance property of <code>[Lozenge](#Lozenge)</code>
**Default**: <code>false</code>
<a name="Lozenge+appearance"></a>

### lozenge.appearance : <code>string</code>
Affects the visual style of the badge.
Allowed values are: 'default', 'success', 'removed', 'inprogress', 'new', 'moved'.

**Kind**: instance property of <code>[Lozenge](#Lozenge)</code>
**Default**: <code>&quot;default&quot;</code>
<a name="Lozenge+children"></a>

### lozenge.children : <code>node</code>
The content passed to the lozenge

**Kind**: instance property of <code>[Lozenge](#Lozenge)</code>

___* Please note that there are dependencies in this module that are governed by the Atlassian Design Guidelines license which will be automatically included on install of this library. Each dependency has a license file that indicates whether the Atlassian Design Guidelines license applies.___

## We're here to help!

Let us know what you think of our components and docs, your feedback is really important for us.

Are you in trouble? Read through our [contribution guidelines](https://bitbucket.org/atlassian/atlaskit/src/HEAD/CONTRIBUTING.md) and raise an issue to us.

